Functions
Functions
Graphics » HAL GFX » GFX BLENDER
Collaboration diagram for Functions:

## Functions
static uint32_t | hal_gfx_blending_mode (uint32_t src_bf, uint32_t dst_bf, uint32_t blops)
| Return blending mode given source and destination blending factors and additional blending operations. More...
void | hal_gfx_set_blend (uint32_t blending_mode, hal_gfx_tex_t dst_tex, hal_gfx_tex_t fg_tex, hal_gfx_tex_t bg_tex)
| Set blending mode. More...
static void | hal_gfx_set_blend_fill (uint32_t blending_mode)
| Set blending mode for filling. More...
static void | hal_gfx_set_blend_fill_compose (uint32_t blending_mode)
| Set blending mode for filling with composing. More...
static void | hal_gfx_set_blend_blit (uint32_t blending_mode)
| Set blending mode for blitting. More...
static void | hal_gfx_set_blend_blit_compose (uint32_t blending_mode)
| Set blending mode for blitting with composing. More...
void | hal_gfx_set_const_color (uint32_t rgba)
| Set constant color. More...
void | hal_gfx_set_src_color_key (uint32_t rgba)
| Set source color key. More...
void | hal_gfx_set_dst_color_key (uint32_t rgba)
| Set destination color key. More...
void | hal_gfx_debug_overdraws (uint32_t enable)
| Enable/disable ovedraw debugging. More...

## Detailed Description

## Function Documentation

## ◆ hal_gfx_blending_mode()

static uint32_t hal_gfx_blending_mode | ( | uint32_t | src_bf,
|  | uint32_t | dst_bf,
|  | uint32_t | blops
| ) |  |
| inline static

Return blending mode given source and destination blending factors and additional blending operations.

Parameters

  [in] | src_bf | Source Blending Factor
  [in] | dst_bf | Destination Blending Factor
  [in] | blops | Additional Blending Operations

Returns
  Final Blending Mode

Definition at line 124 of file hal_gfx_blender.h.

References HAL_GFX_BLOP_MASK.

## ◆ hal_gfx_debug_overdraws()

void hal_gfx_debug_overdraws | ( | uint32_t | enable | ) |

Enable/disable ovedraw debugging.

Disables gradient and texture, forces blending mode to HAL_GFX_BL_ADD

Parameters

  [in] | enable | Enables overdraw debugging if non-zero

## ◆ hal_gfx_set_blend()

void hal_gfx_set_blend | ( | uint32_t | blending_mode,
|  | hal_gfx_tex_t | dst_tex,
|  | hal_gfx_tex_t | fg_tex,
|  | hal_gfx_tex_t | bg_tex
| ) |  |

Set blending mode.

Note
  Blit mode only supports foreground texture slot blending and foreground with background texture slot blending

Parameters

  [in] | blending_mode | Blending mode to be set
  [in] | dst_tex | Destination Texture
  [in] | fg_tex | Foreground (source) Texture
  [in] | bg_tex | Background (source2) Texture

Referenced by hal_gfx_set_blend_blit(), hal_gfx_set_blend_blit_compose(), hal_gfx_set_blend_fill(), and hal_gfx_set_blend_fill_compose().

## ◆ hal_gfx_set_blend_blit()

static void hal_gfx_set_blend_blit | ( | uint32_t | blending_mode | ) |
| inline static

Set blending mode for blitting.

Parameters

  [in] | blending_mode | Blending mode to be set

Definition at line 174 of file hal_gfx_blender.h.

References HAL_GFX_NOTEX, hal_gfx_set_blend(), HAL_GFX_TEX0, and HAL_GFX_TEX1.

## ◆ hal_gfx_set_blend_blit_compose()

static void hal_gfx_set_blend_blit_compose | ( | uint32_t | blending_mode | ) |
| inline static

Set blending mode for blitting with composing.

Parameters

  [in] | blending_mode | Blending mode to be set

Definition at line 186 of file hal_gfx_blender.h.

References hal_gfx_set_blend(), HAL_GFX_TEX0, HAL_GFX_TEX1, and HAL_GFX_TEX2.

## ◆ hal_gfx_set_blend_fill()

static void hal_gfx_set_blend_fill | ( | uint32_t | blending_mode | ) |
| inline static

Set blending mode for filling.

Parameters

  [in] | blending_mode | Blending mode to be set

Definition at line 150 of file hal_gfx_blender.h.

References HAL_GFX_NOTEX, hal_gfx_set_blend(), and HAL_GFX_TEX0.

## ◆ hal_gfx_set_blend_fill_compose()

static void hal_gfx_set_blend_fill_compose | ( | uint32_t | blending_mode | ) |
| inline static

Set blending mode for filling with composing.

Parameters

  [in] | blending_mode | Blending mode to be set

Definition at line 162 of file hal_gfx_blender.h.

References HAL_GFX_NOTEX, hal_gfx_set_blend(), HAL_GFX_TEX0, and HAL_GFX_TEX2.

## ◆ hal_gfx_set_const_color()

void hal_gfx_set_const_color | ( | uint32_t | rgba | ) |

Set constant color.

Parameters

  [in] | rgba | RGBA color (format: R[0,7] G[8,15] B[16,23] A[24,31])

## ◆ hal_gfx_set_dst_color_key()

void hal_gfx_set_dst_color_key | ( | uint32_t | rgba | ) |

Set destination color key.

Parameters

  [in] | rgba | RGBA color key (format: R[0,7] G[8,15] B[16,23] A[24,31])

## ◆ hal_gfx_set_src_color_key()

void hal_gfx_set_src_color_key | ( | uint32_t | rgba | ) |

Set source color key.

Parameters

  [in] | rgba | RGBA color key (format: R[0,7] G[8,15] B[16,23] A[24,31])